Package fr.gouv.vitam.common.i18n

# Class VitamLogbookMessages

java.lang.Object
fr.gouv.vitam.common.i18n.VitamLogbookMessages

public class VitamLogbookMessages extends Object
Vitam Messages Helper for Logbooks

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static final boolean`
  `containsKey(String key)`
  `static Map<String,String>`
  `getAllMessages()`
  Retrieve all the messages
  `static final String`
  `getCodeLfc(String stepOrHandler, StatusCode code)`
  Lifecycle Logbook context
  `static final String`
  `getCodeLfc(String stepOrHandler, StatusCode code, Object... args)`
  Lifecycle Logbook context
  `static final String`
  `getCodeLfc(String stepOrHandler, String transaction, StatusCode code)`
  Lifecycle Logbook context
  `static final String`
  `getCodeLfc(String stepOrHandler, String transaction, StatusCode code, Object... args)`
  Lifecycle Logbook context
  `static final String`
  `getCodeLfc(String stepOrHandler, String transaction, String detailedOutcome, StatusCode code, Object... args)`
  Lifecycle Logbook context
  `static final String`
  `getCodeOp(String stepOrHandler, StatusCode code)`
  Operation Logbook context
  `static final String`
  `getCodeOp(String stepOrHandler, StatusCode code, Object... args)`
  Operation Logbook context
  `static final String`
  `getCodeOp(String stepOrHandler, String transaction, StatusCode code)`
  Operation Logbook context
  `static final String`
  `getCodeOp(String stepOrHandler, String transaction, StatusCode code, Object... args)`
  Operation Logbook context
  `static final String`
  `getEventTypeLfc(String stepOrHandler)`
  `static final String`
  `getEventTypeStarted(String stepOrHandler)`
  `static final String`
  `getFromFullCodeKey(String completeCodeKey)`
  Get a message labe knowing its full code key
  `static final String`
  `getFromFullCodeKey(String completeCodeKey, Object... args)`
  `static final String`
  `getLabelLfc(String stepOrHandler)`
  Lifecycle Logbook context
  `static final String`
  `getLabelLfc(String stepOrHandler, String transaction)`
  Lifecycle Logbook context
  `static final String`
  `getLabelOp(String stepOrHandler)`
  Operation Logbook context
  `static final String`
  `getLabelOp(String stepOrHandler, String transaction)`
  Operation Logbook context
  `static final String`
  `getOutcomeDetail(String stepOrHandler, StatusCode code)`
  `static final String`
  `getOutcomeDetail(String stepOrHandler, String transaction, StatusCode code)`
  `static final String`
  `getOutcomeDetailLfc(String stepOrHandler, StatusCode code)`
  `static final String`
  `getOutcomeDetailLfc(String stepOrHandler, String transaction, StatusCode code)`
  `static final String`
  `getOutcomeDetailLfc(String stepOrHandler, String transaction, String detailedOutcome, StatusCode code)`
  `static final String`
  `getSeparator()`
  `static final String`
  `getSubTaskEventTypeLfc(String stepOrHandler, String subTaskName)`
  `static final String`
  `getSubTaskEventTypeOp(String stepOrHandler, String subTaskName)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getAllMessages

    public static Map<String,String> getAllMessages()
    Retrieve all the messages
    Returns:
      map of messages

  - ### getLabelOp

    public static final String getLabelOp(String stepOrHandler)
    Operation Logbook context
    Parameters:
      `stepOrHandler` - step or handler name or full name (on Front Office Application)
    Returns:
      the Label of this step or handler or full named

  - ### getLabelLfc

    public static final String getLabelLfc(String stepOrHandler)
    Lifecycle Logbook context
    Parameters:
      `stepOrHandler` - step or handler name or full name (on Front Office Application)
    Returns:
      the Label of this step or handler or full named

  - ### getEventTypeStarted

    public static final String getEventTypeStarted(String stepOrHandler)
    Parameters:
      `stepOrHandler` - step or handler name or full name
    Returns:
      the final EventType code

  - ### getEventTypeLfc

    public static final String getEventTypeLfc(String stepOrHandler)
    Parameters:
      `stepOrHandler` - step or handler name or full name
    Returns:
      the final EventType code

  - ### getSubTaskEventTypeLfc

    public static final String getSubTaskEventTypeLfc(String stepOrHandler, String subTaskName)
    Parameters:
      `stepOrHandler` - step or handler name or full name
      `subTaskName` - name of the sub task
    Returns:
      the final EventType code

  - ### getSubTaskEventTypeOp

    public static final String getSubTaskEventTypeOp(String stepOrHandler, String subTaskName)
    Parameters:
      `stepOrHandler` - step or handler name or full name
      `subTaskName` - name of the sub task
    Returns:
      the final EventType code

  - ### getLabelOp

    public static final String getLabelOp(String stepOrHandler, String transaction)
    Operation Logbook context
    Parameters:
      `stepOrHandler` - step or handler name or full name (on Front Office Application)
      `transaction` - transaction name (within this handler)
    Returns:
      the Label of this step or handler or full named with sub transaction

  - ### getLabelLfc

    public static final String getLabelLfc(String stepOrHandler, String transaction)
    Lifecycle Logbook context
    Parameters:
      `stepOrHandler` - step or handler name or full name (on Front Office Application)
      `transaction` - transaction name (within this handler)
    Returns:
      the Label of this step or handler or full named with sub transaction

  - ### getOutcomeDetail

    public static final String getOutcomeDetail(String stepOrHandler, StatusCode code)
    Parameters:
      `stepOrHandler` - step or handler name or full name
      `code` - the code from which the message is needed
    Returns:
      the code to place within outcomeDetail (Logbooks)

  - ### getOutcomeDetailLfc

    public static final String getOutcomeDetailLfc(String stepOrHandler, StatusCode code)
    Parameters:
      `stepOrHandler` - step or handler name or full name
      `code` - of status
    Returns:
      the code to place within outcomeDetail (Logbooks)

  - ### getOutcomeDetail

    public static final String getOutcomeDetail(String stepOrHandler, String transaction, StatusCode code)
    Parameters:
      `stepOrHandler` - step or handler name or full name
      `transaction` - transaction transaction name (within this handler)
      `code` - the code from which the message is needed
    Returns:
      the code to place within outcomeDetail (Logbooks)

  - ### getOutcomeDetailLfc

    public static final String getOutcomeDetailLfc(String stepOrHandler, String transaction, String detailedOutcome, StatusCode code)
    Parameters:
      `stepOrHandler` - step or handler name or full name
      `transaction` - transaction transaction name (within this handler)
      `detailedOutcome` - the detailed outcome for the transaction
      `code` - the code from which the message is needed
    Returns:
      the code to place within outcomeDetail (Logbooks)

  - ### getOutcomeDetailLfc

    public static final String getOutcomeDetailLfc(String stepOrHandler, String transaction, StatusCode code)
    Parameters:
      `stepOrHandler` - step or handler name or full name
      `transaction` - transaction transaction name (within this handler)
      `code` - the code from which the message is needed
    Returns:
      the code to place within outcomeDetail (Logbooks)

  - ### getCodeOp

    public static final String getCodeOp(String stepOrHandler, StatusCode code)
    Operation Logbook context
    Parameters:
      `stepOrHandler` - step or handler name or full name (on Front Office Application)
      `code` - the code from which the message is needed
    Returns:
      the code label of this step or handler or full named

  - ### getCodeLfc

    public static final String getCodeLfc(String stepOrHandler, StatusCode code)
    Lifecycle Logbook context
    Parameters:
      `stepOrHandler` - step or handler name or full name (on Front Office Application)
      `code` - the code from which the message is needed
    Returns:
      the code label of this step or handler or full named

  - ### getCodeOp

    public static final String getCodeOp(String stepOrHandler, String transaction, StatusCode code)
    Operation Logbook context
    Parameters:
      `stepOrHandler` - step or handler name or full name (on Front Office Application)
      `transaction` - transaction name (within this handler)
      `code` - the code from which the message is needed
    Returns:
      the code label of this step or handler or full named with sub transaction

  - ### getCodeLfc

    public static final String getCodeLfc(String stepOrHandler, String transaction, StatusCode code)
    Lifecycle Logbook context
    Parameters:
      `stepOrHandler` - step or handler name or full name (on Front Office Application)
      `transaction` - transaction name (within this handler)
      `code` - the code from which the message is needed
    Returns:
      the code label of this step or handler or full named with sub transaction

  - ### getCodeOp

    public static final String getCodeOp(String stepOrHandler, StatusCode code, Object... args)
    Operation Logbook context
    Parameters:
      `stepOrHandler` - step or handler name or full name (on Front Office Application)
      `code` - the code from which the message is needed
      `args` - list of extra argument to apply as MessageFormat.format(message, args)
    Returns:
      the code label of this step or handler or full named

  - ### getCodeLfc

    public static final String getCodeLfc(String stepOrHandler, StatusCode code, Object... args)
    Lifecycle Logbook context
    Parameters:
      `stepOrHandler` - step or handler name or full name (on Front Office Application)
      `code` - the code from which the message is needed
      `args` - list of extra argument to apply as MessageFormat.format(message, args)
    Returns:
      the code label of this step or handler or full named

  - ### getCodeOp

    public static final String getCodeOp(String stepOrHandler, String transaction, StatusCode code, Object... args)
    Operation Logbook context
    Parameters:
      `stepOrHandler` - step or handler name or full name (on Front Office Application)
      `transaction` - transaction name (within this handler)
      `code` - the code from which the message is needed
      `args` - list of extra argument to apply as MessageFormat.format(message, args)
    Returns:
      the code label of this step or handler or full named with sub transaction

  - ### getCodeLfc

    public static final String getCodeLfc(String stepOrHandler, String transaction, StatusCode code, Object... args)
    Lifecycle Logbook context
    Parameters:
      `stepOrHandler` - step or handler name or full name (on Front Office Application)
      `transaction` - transaction name (within this handler)
      `code` - the code from which the message is needed
      `args` - list of extra argument to apply as MessageFormat.format(message, args)
    Returns:
      the code label of this step or handler or full named with sub transaction

  - ### getCodeLfc

    public static final String getCodeLfc(String stepOrHandler, String transaction, String detailedOutcome, StatusCode code, Object... args)
    Lifecycle Logbook context
    Parameters:
      `stepOrHandler` - step or handler name or full name (on Front Office Application)
      `transaction` - transaction name (within this handler)
      `detailedOutcome` - the detailed outcome for the transaction
      `code` - the code from which the message is needed
      `args` - list of extra argument to apply as MessageFormat.format(message, args)
    Returns:
      the code label of this step or handler or full named with sub transaction

  - ### getFromFullCodeKey

    public static final String getFromFullCodeKey(String completeCodeKey)
    Get a message labe knowing its full code key
    Parameters:
      `completeCodeKey` - the key of the label to be retrieved
    Returns:
      the label of a particular full code key

  - ### getFromFullCodeKey

    public static final String getFromFullCodeKey(String completeCodeKey, Object... args)

  - ### getSeparator

    public static final String getSeparator()
    Returns:
      String

  - ### containsKey

    public static final boolean containsKey(String key)
    Parameters:
      `key` -
    Returns:
      boolean true/false